---
arcgis_datastore_version: "11.3"
arcgis_datastore_versions:
  "11.1":
    datastore:
      url: "{{ gs_software_repository }}/arcgis/11.1/ArcGISDataStore-11.1.zip"
      product_id: "{391B3A39-0951-43E3-991D-82C82CA6E4A4}"
      unzip: true
  "11.3":
    datastore:
      url: "{{ gs_software_repository }}/arcgis/11.3/ArcGISDataStore-11.3.zip"
      product_id: "{391B3A39-0951-43E3-991D-82C82CA6E4A4}"
      unzip: true

gs_arcgis_datastore_service_account:
  development:
    name: .\vagrant
    password: "{{ gs_arcgis_server_admin_password_vagrant }}"  # vault → vagrant
  test:
    name: .\vagrant
    password: "{{ gs_arcgis_server_admin_password_vagrant }}"  # vault → vagrant

gs_arcgis_datastore_hosting_server_info:
  development:
    url: https://gsd-agserver1.internal.c2platform.org:6443/arcgis
    user: siteadmin
    password: "{{ gs_arcgis_server_admin_password }}"  # vault
  test:
    url: https://gst-agserver1.internal.c2platform.org:6443/arcgis
    user: siteadmin
    password: "{{ gs_arcgis_server_admin_password }}"  # vault

arcgis_datastore_temp_dir: "{{ gs_download_temp_dir }}"

arcgis_datastore_install:
  dir: D:\apps\ArcGIS
  base: D:\arcgis
  content_directory: D:\\arcgis\\arcgisdatastore
  sysgen_path: "C:\\Program Files\\ESRI\\License{{ arcgis_datastore_version }}\\sysgen\\keycodes"

arcgis_datastore_service_account: "{{ gs_arcgis_datastore_service_account[gs_env] }}"

arcgis_datastore_sleep_time: 2
arcgis_datastore_license_file_extention: .ecp
gs_arcgis_datastore_license_commands:
  "11.1": C:\Program Files\Common Files\ArcGIS\bin\SoftwareAuthorization.exe
  "11.3": D:\Apps\ArcGIS\Server\tools\SoftwareAuthorization\SoftwareAuthorization.exe
arcgis_datastore_license_command: "{{ gs_arcgis_datastore_license_commands[arcgis_datastore_version] }}"
arcgis_datastore_home: "{{ arcgis_server_install['dir'] }}\\Server"

arcgis_datastore_ags_url: "https://gsd-agserver1.internal.c2platform.org:6443"
arcgis_datastore_role: relational,tilecache  # spatiotemporal,object,graph
arcgis_datastore_role_types: ['relational', 'tilecache', 'spatiotemporal', 'object', 'graph']

arcgis_datastore_setup_arguments: >-
  /qb
  ACCEPTEULA=yes
  MSA=false
  INSTALLDIR="{{ arcgis_datastore_install['dir'] }}"
  ADDLOCAL={{ arcgis_datastore_role }}
  USER_NAME="{{ arcgis_datastore_service_account['name'] }}"
  PASSWORD="{{ arcgis_datastore_service_account['password'] }}"

arcgis_datastore_create_datastore_arguments: >-
  {{ gs_arcgis_datastore_hosting_server_info[gs_env]['url'] }}
  {{ gs_arcgis_datastore_hosting_server_info[gs_env]['user'] }}
  {{ gs_arcgis_datastore_hosting_server_info[gs_env]['password'] }}
  {{ arcgis_datastore_install['content_directory'] }}
